import java.awt.image.BufferedImage;

/**
 * Represents a filter that can be applied to a BufferedImage.
 */
public interface BufferedImageFilter2 {
	/**
	 * Transforms the pixels in the specified BufferedImage.
	 * 
	 * @param inImg		the input image
	 * @param outImg	the output image
	 */
	public void filter(BufferedImage inImg, BufferedImage outImg);
	
	/**
	 * @return			the name of this filter
	 */
	public String toString();
}